com.genesyslab.wfm7.API.service.schedule761

## Class SchStateID

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchStateID

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateID
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State indentifier. Every schedule state can be identified by the pair: Type + ID
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmStateId` State ID
    `private int` | `wmStateType` State type `ESchStateType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateID()`
    `SchStateID(int wmStateType, int wmStateId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmStateId()` Gets the wmStateId value for this SchStateID.
    `int` | `getWmStateType()` Gets the wmStateType value for this SchStateID.
    `int` | `hashCode()`
    `void` | `setWmStateId(int wmStateId)` Sets the wmStateId value for this SchStateID.
    `void` | `setWmStateType(int wmStateType)` Sets the wmStateType value for this SchStateID.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmStateType

          private int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          private int wmStateId

      State ID

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchStateID

          public SchStateID()

    - #### SchStateID

          public SchStateID(int wmStateType,
                    int wmStateId)

  - ### Method Detail

    - #### getWmStateType

          public int getWmStateType()

      Gets the wmStateType value for this SchStateID.
      Returns:
        wmStateType

    - #### setWmStateType

          public void setWmStateType(int wmStateType)

      Sets the wmStateType value for this SchStateID.
      Parameters:
        `wmStateType` -

    - #### getWmStateId

          public int getWmStateId()

      Gets the wmStateId value for this SchStateID.
      Returns:
        wmStateId

    - #### setWmStateId

          public void setWmStateId(int wmStateId)

      Sets the wmStateId value for this SchStateID.
      Parameters:
        `wmStateId` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.